h1{
    font-size: 28px;
    text-align: center;
}
.container-squadre {
    width: 100%;
    margin: 25px auto;
    display: flex;
    flex-direction: column;
    /* gap: 15px; */
    font-family: 'Oswald', sans-serif;
}
.riga-squadre {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #f8f8f8;
    border: 1px solid #ddd;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.08);
    padding: 10px; /* 🔹 padding di 10px come richiesto */
}
.colonna-sinistra,
.colonna-destra {
    flex: 1;
    display: flex;
    align-items: center;
    gap: 25px;
}
.colonna-sinistra {
    /* text-align: left; */
    justify-content: flex-start; /* logo + nome allineati a sinistra */
}
.colonna-destra {
    /* text-align: right; */
    justify-content: flex-end; /* logo + nome allineati a destra */
}
.colonna-sinistra img,
.colonna-destra img {
    width: 60px;
    height: 60px;
    object-fit: contain;
}
.nome-squadra {
    font-size: 25px;
    font-weight: 300;
    color: #333;
    letter-spacing: 0.5px;
}
.nome-squadra strong{
    font-weight: bold;
}
.divider-verticale {
    width: 2px;
    height: 70px;
    background-color: #ccc;
}
.intestazione {
    background: #6D0D1B;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
}
.titolo-girone-sinistra {
    font-size: 22px;
    text-align: left;
    margin-left: 85px;
    justify-content: left;
}
.titolo-girone-destra {
    font-size: 22px;
    text-align: right;
    margin-right: 85px;
    justify-content: right;
}

@media (max-width: 768px) {
    h3{
        font-size: 1.2rem;
        text-align: center;
        font-weight: normal;
        margin-bottom: 5px;
    }
    .riga-squadre {
        flex-direction: row;
        padding: 15px;
    }
    .divider-verticale {
        width: 1px;
        height: auto;
        margin: 10px 0;
    }
    .colonna-sinistra{
        flex: 1;
        justify-content: left;
        text-align: left;
        width: 40%;
        margin: 0;
    }
    .colonna-destra{
        flex: 1;
        justify-content: right;
        text-align: right;
        width: 40%;
        margin: 0;
    }
    .colonna-sinistra img,
    .colonna-destra img {
        width: 50px;
        height: 50px;
        margin-left: 0;
        margin-right: 0;
    }
    .nome-squadra {
        font-size: 22px;
        text-align: center;
    }
    .titolo-girone-sinistra,
    .titolo-girone-destra {
        margin: 0;
        text-align: center;
        font-size: 18px;
    }
}